---
title: Management API
slug: technical-docs-v1/management-api
description: Learn how to integrate IntelliProve's API into your application and gain insights into mental and physical health. This comprehensive documentation covers everything from obtaining user details to managing patient data. Explore code examples, endpoints, a
icon: 👩‍💼
docTags: 
createdAt: 2022-12-02T16:13:25.000Z
---

# Intro

This is the API documentation for the **IntelliProve management API**, which allows you to perform management operations such as requesting reminaing quota.

# Prerequisites

If you are new to this developer portal, we recommend first reading the [Plug-in: overview](docId\:FwRILXhaP81OoJWMWf3TR), a five minute read which will get you acquainted with how our plug-in works and how it can be integrated into your platform. To integrate the plug-in into your platform, follow our [Plug-in](docId\:f86CeMBkuJ-Kwr60RtrEv) documentation.

:::BlockQuote
Keep in mind that this API is mainly geared towards backend functionality such as requesting quota. The actual health check is performed using our [web plug-in](docId\:FwRILXhaP81OoJWMWf3TR).
:::

# Setup

## Environments

As a customer, you will receive information about the environment (API base URL) to use for development and production.

## Authentication

All the endpoints described below require an API key or a bearer token in the header for authentication purposes.

::::ExpandableHeading{isOpen="true"}
### API Key

An API key forms a permanent access key to authenticate with the API. Your API key should **never be exposed** **in your front-end** and only be used on protected servers and back-end systems.

API keys are sent in the header of the request:
`x-api-key: <your-api-key>`&#x20;



:::hint{type="info"}
No API key and interested in our product? Contact us (info\@intelliprove.com) or [set up a call](https://calendly.com/joeri-tulkens/30min)
:::
::::



# Auth endpoints

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://engine.intelliprove.com/v1/auth/me",
  "name": "Get user details",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "CFt83wo-amNab1oWrl4Uf",
        "code": "{\n    \"email\": \"sales@intelliprove.com\",\n    \"customer\": \"intelliprove\",\n    \"group\": \"contributor\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "56xJ74pxh2owc4yuBp9DI",
        "code": "{\n    \"status\": 403,\n    \"reason\": \"Missing or invalid authentication credentials.\"\n}",
        "language": "403",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "56xJ74pxh2owc4yuBp9DI"
  },
  "examples": {
    "languages": [
      {
        "id": "xkJmjni8UoJNFN3xysV2Y",
        "code": "curl --location 'https://engine.intelliprove.com/v1/auth/me' \\\n--header 'Accept: application/json' \\\n--header 'x-api-key: your-api-key'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xkJmjni8UoJNFN3xysV2Y"
  },
  "description": "Use this endpoint to retrieve user information for the current user. The user information defines to which user group and customer you belong.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "get-user-details",
  "legacyHash": "L4r3VVgPyHEm5UVfN05Gx"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://engine.intelliprove.com/v1/auth/action-token",
  "name": "Create action token",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "expire_in",
        "type": "Integer",
        "description": "Lifetime of the token in seconds. Defaults to 6 hours, maximum 12 hours."
      },
      {
        "kind": "optional",
        "name": "meta",
        "type": "Object",
        "children": [],
        "description": "Custom metadata to place in the action token."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "KctN4gzloT_SdN_T_Cyop",
        "code": "{\n    \"token\": \"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyIjp7ImVtYWlsIjoiIiwiY3VzdG9tZXIiOiJ0ZXN0aW5nLWFwaS1rZXkiLCJncm91cCI6ImFkbWluIiwibWF4X21lYXN1cmVtZW50X2NvdW50IjotMX0sIm1ldGEiOnt9LCJleHAiOjE2ODU2NTE1OTl9.uwOflWBIWUVLXFpMzVG3pLRet1Q-9vbzF1XNfpuKTC0\"\n}",
        "language": "201",
        "customLabel": ""
      },
      {
        "id": "VqAUjlFnmcvrfR9B6w1eI",
        "code": "{\n    \"status\": 401,\n    \"reason\": \"Missing or invalid authentication credentials.\"\n}",
        "language": "401",
        "customLabel": ""
      },
      {
        "id": "UXlmhgeywDNH1P9cHadk-",
        "language": "500",
        "code": "{\n    \"status\": 500,\n    \"reason\": \"Could not create new action token\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "KctN4gzloT_SdN_T_Cyop"
  },
  "examples": {
    "languages": [
      {
        "id": "s0McDUwkInbnrG9pa-tHB",
        "code": "curl --location 'https://engine.intelliprove.com/v1/auth/action-token' \\\n--header 'Content-Type: application/json' \\\n--header 'x-api-key: your-key' \\\n--data '{\n  \"expire_in\": 2592000,\n  \"meta\": {}\n}'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "s0McDUwkInbnrG9pa-tHB"
  },
  "description": "Create a new action token with optional custom lifetime and custom metadata. Do not place confidential information in the metadata object.\nThis endpoint can only be called with an API key. ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "create-action-token",
  "legacyHash": "2KsfRDeIypIIsxQgvpfFL"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://engine.intelliprove.com/v1/patient/data",
  "name": "Delete patient data",
  "method": "DELETE",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "kind": "optional",
        "name": "patient-ref",
        "type": "string",
        "children": [],
        "description": "Patient for which the health checks are to be deleted."
      },
      {
        "kind": "optional",
        "name": "performer-ref",
        "type": "string",
        "children": [],
        "description": "Additional filter on performer reference."
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "Bg9pQCkWQxZbo5auenQtZ",
        "code": "",
        "language": "202",
        "customLabel": ""
      },
      {
        "id": "y8vii-vSoxSUBBV9jx-Np",
        "code": "{\n    \"detail\": \"Please provide a patient reference.\"\n}",
        "language": "400",
        "customLabel": ""
      },
      {
        "id": "QtlAuC1Mj_GM4vFVhl0Eh",
        "language": "403",
        "code": "{\n    \"detail\": \"Provided patient is not allowed.\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "QtlAuC1Mj_GM4vFVhl0Eh"
  },
  "examples": {
    "languages": [
      {
        "id": "Os4e3JEuPlsboxgcVxqdg",
        "code": "curl --location --request DELETE 'https://engine.intelliprove.com/v1/patient/data?patient-ref=your-patient-ref&performer-ref=your-performer-ref' \\\n--header 'x-api-key: your-api-key'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Os4e3JEuPlsboxgcVxqdg"
  },
  "description": "Delete all results for a specific patient.",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "delete-patient-data",
  "legacyHash": "9e5z0Qm9LHo4Y2lur6nq1"
}
```
:::

# Account endpoints

:::ApiMethodV2
```json
{
  "name": "Get quota",
  "method": "GET",
  "url": "https://engine.intelliprove.com/v1/account/quota",
  "description": "Receive information abour your quota and current usage.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "GLE-59oy3cZqVmZ78NS1q",
        "language": "curl",
        "code": "curl --location 'https://engine.intelliprove.com/v1/account/quota' \\\n--header 'x-api-key: your-api-key'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GLE-59oy3cZqVmZ78NS1q"
  },
  "results": {
    "languages": [
      {
        "id": "DP-TOoUkGyPXPbOtgFpBC",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"performed_measurements\": 0,\n    \"quota\": 10000,\n    \"period_start\": \"2023-06-01T00:00:00\",\n    \"period_stop\": \"2023-07-01T00:00:00\",\n    \"usage_percentage\": 0.0\n}"
      },
      {
        "id": "qINWm-Vi03FMn4NaqDgq-",
        "language": "403",
        "customLabel": "",
        "code": "Only admins are allowed to use this request"
      },
      {
        "id": "p6oKyp5sEBtMZUcDCXLMf",
        "language": "401",
        "code": "{\n    \"detail\": \"Missing or invalid authentication credentials.\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "p6oKyp5sEBtMZUcDCXLMf"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "get-quota",
  "legacyHash": "ZdEeiQjrfF0IQTGRFyFDt"
}
```
:::

# Regulatory endpoints

:::ApiMethodV2
```json
{
  "name": "Get CE Label",
  "method": "GET",
  "url": "https://engine.intelliprove.com/v1/regulatory/ce-label",
  "description": "Request the IntelliProve medical device label",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "GLE-59oy3cZqVmZ78NS1q",
        "language": "curl",
        "code": "curl --location 'https://engine.intelliprove.com/v1/regulatory/ce-label'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GLE-59oy3cZqVmZ78NS1q"
  },
  "results": {
    "languages": [
      {
        "id": "DP-TOoUkGyPXPbOtgFpBC",
        "language": "200",
        "customLabel": "",
        "code": "// returns the medical device label as PNG file"
      }
    ],
    "selectedLanguageId": "DP-TOoUkGyPXPbOtgFpBC"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "get-ce-label",
  "legacyHash": "v3JXdeNPQcREMp7StD6iS"
}
```
:::

Refer to our [Instructions for use](docId\:JmsMBXWFYQbsTTsLUvw00) for more information related to our medical device's product description and intended use.
